Subject: bug#6316: 24.0.50; unexpected region highlighting

From: Stephen Berman <[email-masked]>
Date: Tue, 27 May 2014 15:57:33 +0200

Could someone who knows how region highlighting works take a look at
this issue, which continues to annoy me?

If I knew how to debug this, I'd try to, but I don't even know how to
start...

Steve Berman

On Tue, 29 May 2012 22:42:37 +0200 Stephen Berman <[email-masked]> wrote:

> Ping, in case this has been forgotten.  The problem persists in the
> current trunk.  I've also truncated the title of the bug report, since
> transient-mark-mode is actually irrelevant, as an unrelated posting to
> emacs-devel (http://permalink.gmane.org/gmane.emacs.devel/127927>),
> excerpted below, shows.  It would be very nice to have this bug fixed.
>
> Steve Berman
>
> On Mon, 31 May 2010 14:29:16 +0200 Stephen Berman <[email-masked]> wrote:
>
>> On Mon, 31 May 2010 09:30:34 +0200 Stephen Berman <[email-masked]> wrote:
>>
>>> 1. emacs -Q
>>> 2. Type `M-x transient-mark-mode' to disable transient-mark-mode.
>>> 3. Select some text with the mouse.  To give a specific example for the
>>> sake of replication, type `C-h v transient-mark-mode RET', then in the
>>> *Help* buffer double click on the left parenthesis of "(only . OLDVAL)"
>>> to select the whole sexp, which thus gets highlighted.
>>> 4. Type `M-w', then put point at the start of the paragraph (in *Help*)
>>> beginning "Non-nil also enables highlighting".  Note that the region is
>>> not highlighted.
>>> 5. Paste "(only . OLDVAL)" into *scratch*, then double click on "OLDVAL",
>>> selecting and highlighting it.
>>> 6. Type `C-x o' to switch back to the *Help* buffer.
>>> => The region in *Help* between point and the left parenthesis of 
>>> "(only . OLDVAL)" is now highlighted.
>>
>> I should have mentioned that selection with the mouse is not crucial;
>> the same unexpected highlighting occurs if selection is done via the
>> keyboard -- with the important qualification that in step 5, the
>> selection must be made by typing `C-SPC' twice to activate the mark,
>> then moving point to the end of "OLDVAL", so that it is highlighted.
>> (Mark activation is not necessary in step 3, in which case the selected
>> text would not be highlighted.)
>>
>> Steve Berman
>
>
> On Wed, 28 Jul 2010 00:44:34 +0100 David De La Harpe Golden
> <[email-masked]> wrote:
>
> [...]
>> Note that I can replicate similar issues in emacs 23.2, really:
>>
>> emacs -Q
>> C-x 3
>> shift-select "is for notes" in LHS *scratch*. It is highlighted.
>> C-x o to RHS *scratch*
>>
>> Everything from the start of "is for notes" to the end of the buffer is
>> highlighted, because that's where the point was in the other window, and
>> select-window is "naive" (it just warps to the point saved in the the window).
>>
>> A fix for select-active-regions somewhat similar to the zero-length regions
>> fix proposed approach should certainly be possible - really we don't want to
>> propagate the active region of a newly switched-to-window until it "really"
>> changes anew post-restoration.